Bug 1114 - (int-53238) Memory control panel doesn't include installed applications as part of computed "used" internal memory
(int-53238)
: Memory control panel doesn't include installed applications as part of comput...
Status: RESOLVED FIXED
Product: Settings and Maintenance
Control panel
: unspecified
: All Maemo
: Medium normal (vote)
: ---
Assigned To: Jakub Pavelek
: control-panel-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2007-03-02 17:08 UTC by Sean Luke
Modified: 2007-11-27 08:51 UTC (History)
1 user (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Sean Luke (reporter) 2007-03-02 17:08:05 UTC
My used internal memory bar is 9%, but when I click on Details, I discover that 
I have 13M usd in various (hence the 9%) but *42M* in instlled apps.  My usage 
is closer to 50%.
Comment 1 Johan Bilien nokia 2007-03-05 10:08:05 UTC
Re-assigning to Jakub
Comment 2 Jakub Pavelek nokia 2007-03-20 08:37:32 UTC
Looking into it.
Comment 3 Gabriel Schulhof nokia 2007-03-20 12:11:14 UTC
Can you please give me the complete breakdown of your memory applet's "Storage"
tab output ? For example, mine reads as follows:

Device (15% used) details:
  Storage memory in use: 25.1 MB
  Storage memory available: 132.6 MB
  E-mails: 1kB
  Images: 0 kB
  Video clips: 4.62 MB
  Audio clips: 4.08 MB
  Web pages: 0 kB
  Documents: 16.3 MB
  Contacts: 12 kB
  Installed applications: 11.6 MB
  Other files: 7 kB

Internal memory card (0% used) details:
  Storage memory in use: 1.09 MB
  Storage memory available: 231.6 MB
  E-mails: 0 kB
  Images: 705 kB
  Video clips: 0 kB
  Audio clips: 0 kB
  Web pages: 0 kB
  Documents: 346 kB
  Contacts: 0 kB
  Installed applications: 0 kB
  Other files: 61 kB

Removable memory card (10% used) details:
  Storage memory in use: 199.1 MB
  Storage memory available: 1.60 GB
  E-mails: 0 kB
  Images: 68.3 MB
  Video clips: 17.7 MB
  Audio clips: 1.11 MB
  Web pages: 0 kB
  Documents: 88.3 MB
  Contacts: 0 kB
  Installed applications: 0 kB
  Other files: 28.7 MB
Comment 4 Neil MacLeod maemo.org 2007-03-20 20:13:37 UTC
Device (15% used) details:
  Storage memory in use: 25.1 MB
  Storage memory available: 132.6 MB
  E-mails: 1kB
  Images: 0 kB
  Video clips: 4.62 MB
  Audio clips: 4.08 MB
  Web pages: 0 kB
  Documents: 16.3 MB
  Contacts: 12 kB
  Installed applications: 11.6 MB
  Other files: 7 kB

Gabriel - while this may not be Seans issue, at a fundamental level the
individual memory usage and the "Storage memory in use" figures do not match.
Given the above "used memory" 16.3MB + 11.6MB + 4.62MB + 4.08MB adds up to
36.6MB, yet "Storage memory in use" claims a total of 25.1MB leaving an 11.5MB
discrepancy.

Your internal and external memory cards show a similar discrepancy, which rules
out JFFS2 compression as I thought this might be the culprit.

Basically, the N800 can't add up, or it is failing to consider a part of the
filesystem that is consuming memory - 11.5MB of memory in the case of your
internal device memory has "disappeared".
Comment 5 Jakub Pavelek nokia 2007-07-02 15:29:39 UTC
I think we got that fixed now. Will be released in some future update.
Comment 6 Mike Klein 2007-07-11 01:43:02 UTC
(In reply to comment #5)
> I think we got that fixed now. Will be released in some future update.
> 

I just reflashed with new firmware and totals seemed ok for first day or so
while loading apps...got up to 70% filled by loading maemomapper, ror, etc.

Then I notice today I'm at like 29% used and totals don't match up...all apps
seems to work (with exception of games except chess...drag don't work).

I take it this fix isn't in latest firmware?
Comment 7 Jakub Pavelek nokia 2007-07-11 08:55:25 UTC
(In reply to comment #6)
> (In reply to comment #5)
> > I think we got that fixed now. Will be released in some future update.
> > 
> 
> I just reflashed with new firmware and totals seemed ok for first day or so
> while loading apps...got up to 70% filled by loading maemomapper, ror, etc.
> 
> Then I notice today I'm at like 29% used and totals don't match up...all apps
> seems to work (with exception of games except chess...drag don't work).
> 
> I take it this fix isn't in latest firmware?

Correct, not in this update. Can't promise the "next update" either, one never
knows what gets there beforehand ;)
Comment 8 Neil MacLeod maemo.org 2007-08-01 23:16:58 UTC
The RSS Feed Reader recently went nuts and consumed 151MB of internal flash
memory in /home/user/.osso_rss_feed_reader/cache yet this consumption is
ignored by the current Memory applet.

The Memory applet shows me the following figures:

   Storage Memory in use: 1.47MB
Storage Memory available: 16.5MB
                 E-mails: 0kB
                  Images: 1.20MB
             Video clips: 0kB
             Audio clips: 1kB
               Web pages: 0kB
               Documents: 0kB
                Contacts: 12kB
  Installed applications: 41.5MB
             Other files: 264kB

I have Pidgin, Microb, Xterm, Kagu, Media Streamer, mplayer installed.

Despite having 151MB of memory consumed by the RSS Feed Reader, this space is
not detailed by the Memory Applet - at the very least it should appear in
"Other files".

Quite how the "Storage memory in use" and "Storage memory available" figures
have been arrived at I have no idea - perhaps Bistromathics is at work here
because ordinary mathematics doesn't seem up to the job of providing an
adequate answer! :)

Jakub - can you confirm if the updated Memory Applet will detail the space
consumed by the RSS cache or does the Memory Applet ignore all hidden files
(which would be a mistake)?

I'll re-open this bug in a few days if there is no reply just in case you
aren't monitoring "resolved" bugs.
Comment 9 Neil MacLeod maemo.org 2007-08-01 23:18:23 UTC
Forgot to add that Skype and Python 2.5 runtime are also installed.
Comment 10 Jakub Pavelek nokia 2007-08-02 15:52:25 UTC
(In reply to comment #8)
> Jakub - can you confirm if the updated Memory Applet will detail the space
> consumed by the RSS cache or does the Memory Applet ignore all hidden files
> (which would be a mistake)?

No, it will not report such behavior. Memory applet does not ignore hidden
files but does not count files hiding in non-standard locations. So this
particular use-case is not fixed, if the files are neither in MyDocs nor are
they coming from installed applications they are not counted on purpose,
because the normal user has no way to remove those anyway (and because we
expect decent behavior from our own applications, sigh)
Comment 11 Neil MacLeod maemo.org 2007-08-02 16:21:50 UTC
Ignoring the fact that the RSS cache has grown to such excessive proportions,
the size of a normal sized RSS cache should still be included in the
calculations of the Memory applet else the applet will show to the user that
there is space available while the filesystem is showing 100% usage. What is
the purpose of "Other files" if it's not a bucket for any other storage
locations not accounted for elsewhere?

Unless the Memory Applet is accurate, it's only going to mislead and confuse
the end user. The only way to make it accurate is to report on all directories
in /home/user, putting anything it doesn't recognise into "Other files".
Anything less results in a gimmick feature.
Comment 12 Jakub Pavelek nokia 2007-08-02 16:30:35 UTC
(In reply to comment #11)
> Ignoring the fact that the RSS cache has grown to such excessive proportions,
> the size of a normal sized RSS cache should still be included in the
> calculations of the Memory applet else the applet will show to the user that
> there is space available while the filesystem is showing 100% usage. What is
> the purpose of "Other files" if it's not a bucket for any other storage
> locations not accounted for elsewhere?

2Other files" are everything that does not fall to recognized file types. And
it will show the proper file system usage (very close to the way "df" would do)

> Unless the Memory Applet is accurate, it's only going to mislead and confuse
> the end user. The only way to make it accurate is to report on all directories
> in /home/user, putting anything it doesn't recognise into "Other files".
> Anything less results in a gimmick feature.

Memory applet has same design as File manager. Works only on user accesible
files in /home/user/MyDocs, not on all home. Even if we would show to user "RSS
just ate 115 MB in your home" there is no way to get rid of it in File manager. 

Did you already file bug against the RSS reader? I'd make sure it gets noticed
internally, we have tough and tight memory limits on anything that user can't
delete in File manager.
Comment 13 Neil MacLeod maemo.org 2007-08-02 16:49:22 UTC
Bug #1743 for the runaway cache problem.

I appreciate you are associating the Memory Applet with the simplistic view of
the file system afforded by the File Manager, but when the Memory Applet says I
have storage available and the Application Manager says "No space" (because the
filesystem is at 100% usage) where do you think this leaves the end user?

IMHO as an end user it means I have no faith in what the Memory Applet is
telling me, thus it is a *gimmick* feature worthy of a toy. The numbers it
displays are meaningless and become increasingly more meaningless over time as
applications create data in unusual /home/user locations which the Memory
Applet blissfully ignores.

At the very least it should include ALL /home/user memory usage whether I can
delete it or not. Categorise this undeletable data/memory in a section with a
suitable title such as "Hidden Data" (or something appropriate) but at the very
least include it in the overall calculations so that the Memory Applet doesn't
declare that I'm only using 1.47MB of storage space yet I am unable to install
a single application or even create a note! :)
Comment 14 Ryan Abel maemo.org 2007-11-27 08:51:48 UTC
It's amazing how Nokia seems so often to want to defend to the death brain-dead
"features" that are so obviously stupid. There are a lot of ways around this
issue that don't involve lying to the user about how much space is actually
available. The "Hidden Files" option sounds like an especially elegant one, to
me.